Aller au contenu principal
Sujet: Compilation Kernel (Lu 1222 fois) sujet précédent - sujet suivant

Re : Compilation Kernel

Répondre #15
Sauf que comme dit, si tu as un kernel trop récent et que tu as besoin des headers, tu as forcément besoin d'un glibc à jour, c'est tout le problème de ce fonctionnement "boiteux".

C'est pour ça que même le dépôt "kernel" ne fonctionne plus réellement avec leap 15.2 vu qu'il a été compilé sous glibc 2.33 et que les headers ont besoin de glibc 2.33 en dépendance.

Et je me demande si on compilant soit même son kernel on levait ce genre de pb, si on compile avec glibc 2.26 genre un kernel 5.10 (le dernier lts).

Je me demande d'ailleurs si leap 15.3 met à jour glibc ou pas, je n'ai pas fait gaffe, je vais regarder tien.

EDIT: vérifié, c'est la 2.31 dans LEAP 15.3 pour l'instant


Re : Compilation Kernel

Répondre #17
Bon j'ai testé à l'arrache sous tumbleweed de builder un kernel 5.10.
C'est ok pour le build, pour l'installation via zypper ça foire niveau dépendance.
Je testerais en vm sur une leap 15.12 pour voir si c'est pareil.

Re : Compilation Kernel

Répondre #18
Bon j'ai testé la compilation d'un 5.10 sous leap 15.2.
ça compile bien, ça s'installe aussi (mais me demande de remplacer des fichiers), mais une fois choisis dans le grub ==> ko

En mode failsafe ça foire sur: "fb0: switching to amdgpudrmfb from epi vga" et ça s'arrête là.

EDIT: je teste ça en plus
https://tutorialforlinux.com/2021/01/12/how-to-update-linux-firmware-on-opensuse-guide/2/

EDIT2: ça ne change rien. :(

C'est bon j'ai réussi!!!!
Il faut rajouter: sudo mkinitrd
Me voilà sous un noyau 5.10 avec les firmware à jour
Par contre forcément pour tout ce qui est builder de base genre virtualbox je pense que ça va poser pb...






Re : Compilation Kernel

Répondre #19
Hello ;=)
as tu des choses mal supportées au départ qui marchent mieux ?

Re : Compilation Kernel

Répondre #20
Oui!
Je n'avais pas plymouth (pb de support gpu) et c'est ok maintenant
Le hdmi ne fonctionnait pas non plus avec mon igp ==> c'est ok maintenant.

En fait leap 15.2 ne supporte pas à 100% les cpu renoir, avec un kernel 5.10 + des firmwares à jour tout est ok.

Re : Compilation Kernel

Répondre #21
Hello ;)
Cool que ca porte ses fruits, tu dois être content de voir tes efforts récompensés  et de mieux maîtriser/profiter de ta configuration. C'est vrai qu'il y a un côté frustrant d'avoir un matériel tip top quand on ne profite pas de tout ce qu'il offre :)

Re : Compilation Kernel

Répondre #22
hello.
En fait c'était un test rapide pour voir.

Tous n'est pas parfait, ça pose pb sous openSuse car beaucoup de paquet derrière ont des dépendances avec les headers du kernel 5.3 et ça rentre en conflit avec les headers des 5.10 installés.
Donc à chaque fois il faut choisir de casser les dépendances, et ça marche ok mais bon on ne peut pas dire que ça soit pour tous les jours.

En gros pour bien comprendre, quand tu veux installer dkms il te dit qu'il a besoin du headers-5.3.... alors qu'il y a les headers 5.10.
Donc les paquets ne sont pas fait avec un truc genre >= 5.3 mais avec == donc dès que tu n'as plus le paquet de base paf.

Donc pour le coup mon salut sera plus sur la 15.3 ou ça semble ok, ou alors partir sur tumbleweed.

Re : Compilation Kernel

Répondre #23
;=)
Si tu veux continuer à t'amuser le 5.12 est dispo
https://www.nextinpact.com/lebrief/46897/le-noyau-linux-5-12-disponible-avec-sa-cohorte-dameliorations
A voir si les plus attendus sont pertinents dans ta config.

Après tu peut aussi ajouter le dépôt http://download.opensuse.org/repositories/Kernel:/stable/standard et faire zypper in, mais tout ce qui est avance de phase faudra faire gaffe.

tu as quel noyau ?

ici je suis revenu à
~> uname -r
5.3.18-lp152.72-default


Re : Compilation Kernel

Répondre #24
JE sais pour le dépôt kernel, j'en avais parlé ici, mais c'est encore pire, parce que le kernel compilé dans ce dépôt dépend d'un glibc trop récent, donc ça fout la grouille. ça ne marche pas au final.

Et idem je sais pour le kernel 5.12. :)
J'avais testé le 5.10 car LTS.

Pour l'instant je fais des tests, donc je n'ai pas arrêté de choix. Comme dit, si je dois rester sur une distrib au final ça sera forcément sur le kernel de base vu que compiler son propre kernel pose pb de dépendance sous openSuse malheureusement. :/

Donc ça sera soit sur la 15.3 (qui a aussi un kernel 5.3 mais avec d'autres backport qui fait que le les cpus renoir avec igp sont enfin supportés à priori) soit sur tumbleweed qui a un kernel 5.11. (et là pour le coup aucun doute tout marchait au poil)